POST https://graph.microsoft.com/beta/education/schools
Content-type: application/json
{
"displayName": "Fabrikam High School",
"description": "Magnate school for the arts. Los Angeles School District",
"externalSource": "String",
"principalEmail": "AmyR@fabrikam.com",
"principalName": "Amy Roebuck",
"externalPrincipalId": "14007",
"highestGrade": "12",
"lowestGrade": "9",
"schoolNumber": "10002",
"address": {
"city": "Los Angeles",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Main St."
},
"externalId": "10002",
"phone": "+1 (253) 555-0102",
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var educationSchool = new EducationSchool
{
DisplayName = "Fabrikam High School",
Description = "Magnate school for the arts. Los Angeles School District",
ExternalSource = EducationExternalSource.Sis,
PrincipalEmail = "AmyR@fabrikam.com",
PrincipalName = "Amy Roebuck",
ExternalPrincipalId = "14007",
HighestGrade = "12",
LowestGrade = "9",
SchoolNumber = "10002",
Address = new PhysicalAddress
{
City = "Los Angeles",
CountryOrRegion = "United States",
PostalCode = "98055",
State = "CA",
Street = "12345 Main St."
},
ExternalId = "10002",
Phone = "+1 (253) 555-0102"
};
await graphClient.Education.Schools
.Request()
.AddAsync(educationSchool);
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
const options = {
authProvider,
};
const client = Client.init(options);
const educationSchool = {
displayName: 'Fabrikam High School',
description: 'Magnate school for the arts. Los Angeles School District',
externalSource: 'String',
principalEmail: 'AmyR@fabrikam.com',
principalName: 'Amy Roebuck',
externalPrincipalId: '14007',
highestGrade: '12',
lowestGrade: '9',
schoolNumber: '10002',
address: {
city: 'Los Angeles',
countryOrRegion: 'United States',
postalCode: '98055',
state: 'CA',
street: '12345 Main St.'
},
externalId: '10002',
phone: '+1 (253) 555-0102',
};
await client.api('/education/schools')
.version('beta')
.post(educationSchool);
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewEducationSchool()
displayName := "Fabrikam High School"
requestBody.SetDisplayName(&displayName)
description := "Magnate school for the arts. Los Angeles School District"
requestBody.SetDescription(&description)
externalSource := "String"
requestBody.SetExternalSource(&externalSource)
principalEmail := "AmyR@fabrikam.com"
requestBody.SetPrincipalEmail(&principalEmail)
principalName := "Amy Roebuck"
requestBody.SetPrincipalName(&principalName)
externalPrincipalId := "14007"
requestBody.SetExternalPrincipalId(&externalPrincipalId)
highestGrade := "12"
requestBody.SetHighestGrade(&highestGrade)
lowestGrade := "9"
requestBody.SetLowestGrade(&lowestGrade)
schoolNumber := "10002"
requestBody.SetSchoolNumber(&schoolNumber)
address := msgraphsdk.NewPhysicalAddress()
requestBody.SetAddress(address)
city := "Los Angeles"
address.SetCity(&city)
countryOrRegion := "United States"
address.SetCountryOrRegion(&countryOrRegion)
postalCode := "98055"
address.SetPostalCode(&postalCode)
state := "CA"
address.SetState(&state)
street := "12345 Main St."
address.SetStreet(&street)
externalId := "10002"
requestBody.SetExternalId(&externalId)
phone := "+1 (253) 555-0102"
requestBody.SetPhone(&phone)
result, err := graphClient.Education().Schools().Post(requestBody)
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationSchool educationSchool = new EducationSchool();
educationSchool.displayName = "Fabrikam High School";
educationSchool.description = "Magnate school for the arts. Los Angeles School District";
educationSchool.externalSource = EducationExternalSource.SIS;
educationSchool.principalEmail = "AmyR@fabrikam.com";
educationSchool.principalName = "Amy Roebuck";
educationSchool.externalPrincipalId = "14007";
educationSchool.highestGrade = "12";
educationSchool.lowestGrade = "9";
educationSchool.schoolNumber = "10002";
PhysicalAddress address = new PhysicalAddress();
address.city = "Los Angeles";
address.countryOrRegion = "United States";
address.postalCode = "98055";
address.state = "CA";
address.street = "12345 Main St.";
educationSchool.address = address;
educationSchool.externalId = "10002";
educationSchool.phone = "+1 (253) 555-0102";
graphClient.education().schools()
.buildRequest()
.post(educationSchool);
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
Import-Module Microsoft.Graph.Education
$params = @{
DisplayName = "Fabrikam High School"
Description = "Magnate school for the arts. Los Angeles School District"
ExternalSource = "String"
PrincipalEmail = "AmyR@fabrikam.com"
PrincipalName = "Amy Roebuck"
ExternalPrincipalId = "14007"
HighestGrade = "12"
LowestGrade = "9"
SchoolNumber = "10002"
Address = @{
City = "Los Angeles"
CountryOrRegion = "United States"
PostalCode = "98055"
State = "CA"
Street = "12345 Main St."
}
ExternalId = "10002"
Phone = "+1 (253) 555-0102"
}
New-MgEducationSchool -BodyParameter $params
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。